Bug 657443 - SELinux is preventing /lib/udev/udev-acl "setattr" access on card0.
Summary: SELinux is preventing /lib/udev/udev-acl "setattr" access on card0.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 14
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:6ff25a417db...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-26 03:40 UTC by Randy Cole
Modified: 2010-11-28 22:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-28 22:58:16 UTC
Type: ---


Attachments (Terms of Use)

Description Randy Cole 2010-11-26 03:40:06 UTC
Summary:

SELinux is pre(removed)enting /lib/ude(removed)/ude(removed)-acl "setattr" access on card0.

Detailed Description:

[SELinux is in permissi(removed)e mode. This access was not denied.]

SELinux denied access requested by ude(removed)-acl.ck. It is not expected that this
access is required by ude(removed)-acl.ck and this access may signal an intrusion
attempt. It is also possible that the specific (removed)ersion or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:consolekit_t:s0-s0:c0.c1023
Target Context                system_u:object_r:dri_de(removed)ice_t:s0
Target Objects                card0 [ chr_file ]
Source                        ude(removed)-acl.ck
Source Path                   /lib/ude(removed)/ude(removed)-acl
Port                          <Unknown>
Host                          (remo(removed)ed)
Source RPM Packages           ude(removed)-145-14.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-78.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissi(removed)e
Plugin Name                   catchall
Host Name                     (remo(removed)ed)
Platform                      Linux (removed) 2.6.31.12-174.2.3.fc12.x86_64 #1 SMP Mon
                              Jan 18 19:52:07 UTC 2010 x86_64 x86_64
Alert Count                   33
First Seen                    Thu 24 Dec 2009 11:58:09 AM EST
Last Seen                     Thu 18 Feb 2010 02:43:40 PM EST
Local ID                      a59b1b1a-0869-42bb-9c1f-9c4368b96cf3
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1266522220.46:12): a(removed)c:  denied  { setattr } for  pid=1990 comm="ude(removed)-acl.ck" name="card0" de(removed)=tmpfs ino=2801 scontext=system_u:system_r:consolekit_t:s0-s0:c0.c1023 tcontext=system_u:object_r:dri_de(removed)ice_t:s0 tclass=chr_file

node=(removed) type=SYSCALL msg=audit(1266522220.46:12): arch=c000003e syscall=188 success=yes exit=0 a0=1365cb0 a1=391c605c57 a2=13659f0 a3=2c items=0 ppid=1350 pid=1990 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="ude(removed)-acl.ck" exe="/lib/ude(removed)/ude(removed)-acl" subj=system_u:system_r:consolekit_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,udev-acl.ck,consolekit_t,dri_device_t,chr_file,setattr
audit2allow suggests:

Comment 1 Miroslav Grepl 2010-11-28 22:58:16 UTC
restorecon -v /lib/udev/udev-acl

Should fix the label. For some reason consolekit did not transition to the
correct domain.


Note You need to log in before you can comment on or make changes to this bug.